// BeerSelect.java
// Phill Conrad, CISC474 Spring 2005, Homework H02
// Code from Head First Servlets and JSP, 1st edition, p. 80
// This file contains code for the "controller"

package com.example.web;

import com.example.model.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*; // for List and Iterator

public class BeerSelect extends HttpServlet {


    public void doPost(HttpServletRequest request,
		       HttpServletResponse response)
		       throws IOException, ServletException {

	String c = request.getParameter("color");


	BeerExpert be = new BeerExpert();
	List result = be.getBrands(c);

	// the object "result" is a list of beers.
	// we put that into an attribute in the request called "styles"
	// The JSP file will look for that "attribute"

	request.setAttribute("styles",result);

	// now we need a request dispatcher for the JSP,
	// which is sent the request and the response.
	// both the request and the response were passed into the
	// doPost method by the container...

	RequestDispatcher view =
	    request.getRequestDispatcher("result.jsp");

	view.forward(request, response);
	

    }

    
}

		       
